OpenVDB 5.1.0

Public Member Functions | Public Attributes | List of all members
Ray< RealT >::TimeSpan Struct Reference

`#include <Ray.h>`

## Public Member Functions
| TimeSpan ()
| Default constructor. More...
| TimeSpan (RealT _t0, RealT _t1)
| Constructor. More...
void | set (RealT _t0, RealT _t1)
| Set both times. More...
void | get (RealT &_t0, RealT &_t1) const
| Get both times. More...
bool | valid (RealT eps=math::Delta< RealT >::value()) const
| Return `true` if t1 is larger than t0 by at least eps. More...
RealT | mid () const
| Return the midpoint of the ray. More...
void | scale (RealT s)
| Multiplies both times. More...
bool | test (RealT t) const
| Return `true` if time is inclusive. More...

## Public Attributes
RealT | t0
RealT | t1

## Constructor & Destructor Documentation

## ◆ TimeSpan() [1/2]

TimeSpan | ( |  | ) |
| inline

Default constructor.

## ◆ TimeSpan() [2/2]

TimeSpan | ( | RealT | _t0,
|  | RealT | _t1
| ) |  |
| inline

Constructor.

## Member Function Documentation

## ◆ get()

void get | ( | RealT & | _t0,
|  | RealT & | _t1
| ) |  | const
| inline

Get both times.

## ◆ mid()

RealT mid | ( |  | ) | const
| inline

Return the midpoint of the ray.

## ◆ scale()

void scale | ( | RealT | s | ) |
| inline

Multiplies both times.

## ◆ set()

void set | ( | RealT | _t0,
|  | RealT | _t1
| ) |  |
| inline

Set both times.

## ◆ test()

bool test | ( | RealT | t | ) | const
| inline

Return `true` if time is inclusive.

## ◆ valid()

bool valid | ( | RealT | eps = `math::Delta<RealT>::value()` | ) | const
| inline

Return `true` if t1 is larger than t0 by at least eps.

## Member Data Documentation

## ◆ t0

RealT t0

## ◆ t1

RealT t1

The documentation for this struct was generated from the following file:

- Ray.h